{ pkgs, user, ... }:

{
  home.username = user;
  home.homeDirectory = "/home/${user}";

  home.stateVersion = "24.05"; # Please read the comment before changing.

  home.packages = with pkgs; [
    pavucontrol
    gnumake
    gcc
    thunderbird
    keepassxc
    light
    element-desktop
    darktable
    kubectl
    kubectx
    simple-scan
    calibre
    libreoffice
    gthumb
    gimp
    evince
    inkscape
    chromium
  ];

  programs.home-manager.enable = true;

  imports = [
    ./firefox.nix
    ./kitty.nix
    ./nextcloud.nix
    ./sway
  ];
}
